# List subscription items

Endpoint: GET /subscriptions/{subscriptionID}/items
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, SubscriptionAdmin, SubscriptionReader

## Path parameters:

  - `subscriptionID` (string, required)
    ID of the subscription.

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.ProductID` (string)

  - `Items.Quantity` (integer)

  - `Items.BundleItemID` (string)
    The ID of the line item that represents the bundle. Signifies that the product is being purchased as part of a bundle.

  - `Items.IsBundle` (boolean)
    When true, this item represents a bundle being purchased.

  - `Items.DateAdded` (string)

  - `Items.QuantityShipped` (integer)
    Sum of QuantityShipped from all shipment items.

  - `Items.UnitPrice` (number)
    Auto calculated price per quantity. Modification requires OverrideUnitPrice role.

  - `Items.PromotionDiscount` (number)
    Sum of all line item level promotion discount amounts applied.

  - `Items.BaseDiscount` (number)
    Discount amount from discount assignments applied to this line item.

  - `Items.DiscountID` (string)
    ID of the discount applied to this line item.

  - `Items.LineTotal` (number)
    LineSubtotal - BaseDiscount - PromotionDiscount

  - `Items.LineSubtotal` (number)
    UnitPrice x Quantity

  - `Items.CostCenter` (string)
    For reference only, does not influence any OrderCloud behavior.

  - `Items.DateNeeded` (string)

  - `Items.ShippingAccount` (string)
    For reference only, does not influence any OrderCloud behavior.

  - `Items.ShippingAddressID` (string)

  - `Items.ShipFromAddressID` (string)
    Marketplace owner or supplier AddressID where the product will be shipped from. Can be used to calculate shipping costs.

  - `Items.Product` (object)
    Example: {"ID":"","Name":"","Description":"","Returnable":false,"QuantityMultiplier":0,"ShipWeight":0,"ShipHeight":0,"ShipWidth":0,"ShipLength":0,"DefaultSupplierID":"","ParentID":"","xp":{}}

  - `Items.Product.ID` (string)

  - `Items.Product.Name` (string)

  - `Items.Product.Description` (string)

  - `Items.Product.Returnable` (boolean)

  - `Items.Product.QuantityMultiplier` (integer)

  - `Items.Product.ShipWeight` (number)

  - `Items.Product.ShipHeight` (number)

  - `Items.Product.ShipWidth` (number)

  - `Items.Product.ShipLength` (number)

  - `Items.Product.DefaultSupplierID` (string)

  - `Items.Product.ParentID` (string)

  - `Items.Product.xp` (object)

  - `Items.Variant` (object)
    Example: {"ID":"","Name":"","Description":"","ShipWeight":0,"ShipHeight":0,"ShipWidth":0,"ShipLength":0,"xp":{}}

  - `Items.Variant.ID` (string)

  - `Items.Variant.Name` (string)

  - `Items.Variant.Description` (string)

  - `Items.Variant.ShipWeight` (number)

  - `Items.Variant.ShipHeight` (number)

  - `Items.Variant.ShipWidth` (number)

  - `Items.Variant.ShipLength` (number)

  - `Items.Variant.xp` (object)

  - `Items.ShippingAddress` (object)
    Example: {"ID":"","DateCreated":"2018-01-01T00:00:00-06:00","CompanyName":"","FirstName":"","LastName":"","Street1":"","Street2":"","City":"","State":"","Zip":"","Country":"","Phone":"","AddressName":"","xp":{…

  - `Items.ShippingAddress.ID` (string)

  - `Items.ShippingAddress.DateCreated` (string)

  - `Items.ShippingAddress.CompanyName` (string)

  - `Items.ShippingAddress.FirstName` (string)

  - `Items.ShippingAddress.LastName` (string)

  - `Items.ShippingAddress.Street1` (string)

  - `Items.ShippingAddress.Street2` (string)

  - `Items.ShippingAddress.City` (string)

  - `Items.ShippingAddress.State` (string)

  - `Items.ShippingAddress.Zip` (string)

  - `Items.ShippingAddress.Country` (string)

  - `Items.ShippingAddress.Phone` (string)

  - `Items.ShippingAddress.AddressName` (string)

  - `Items.ShippingAddress.xp` (object)

  - `Items.ShipFromAddress` (object)
    Example: {"ID":"","DateCreated":"2018-01-01T00:00:00-06:00","CompanyName":"","FirstName":"","LastName":"","Street1":"","Street2":"","City":"","State":"","Zip":"","Country":"","Phone":"","AddressName":"","xp":{…

  - `Items.SupplierID` (string)

  - `Items.InventoryRecordID` (string)
    InventoryRecordID of which product inventory location to use. Cannot be modified once an order is submitted.

  - `Items.PriceScheduleID` (string)
    PriceScheduleID used to determine unit price.

  - `Items.IsOnSale` (boolean)
    True when the price schedule and price break has an active SalePrice.

  - `Items.PriceOverridden` (boolean)
    If true, UnitPrice was overridden.

  - `Items.Specs` (array)

  - `Items.Specs.SpecID` (string)

  - `Items.Specs.Name` (string)

  - `Items.Specs.OptionID` (string)

  - `Items.Specs.Value` (string)

  - `Items.Specs.PriceMarkupType` (string)
    Enum: "NoMarkup", "AmountPerQuantity", "AmountTotal", "Percentage"

  - `Items.Specs.PriceMarkup` (number)

  - `Items.IncomingOrderID` (string)
    ID of the original order. Only returns a value for the marketplace owner.

  - `Items.OutgoingOrderID` (string)
    ID of the split or forwarded order. Only returns a value for the marketplace owner.

  - `Items.InvitationID` (string)

  - `Items.xp` (object)

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

